delete from report_sql where computer={?COMPUTER};

insert into report_sql (computer, num1, str1, str2, date1, date2) 
select {?Computer}, p.id, p.ime, k.priimek || ' ' || k.ime,
(select max(datum_kreiranja) from dogodki where p.id=dogodki.id_plovila and trunc(dogodki.datum_kreiranja) <= {?Datum} and dogodki.kategorija_dogodka='SP') as prihod_pred,
(select max(datum_kreiranja) from dogodki where p.id=dogodki.id_plovila and trunc(dogodki.datum_kreiranja) <= {?Datum} and dogodki.kategorija_dogodka='OD') as odhod_pred
from plovila p
left outer join kupci k on (p.id_lastnika=k.id);

update report_sql 
set str10 = 'IN'
where computer={?COMPUTER};

update report_sql 
set str10 = 'OUT'
where computer={?COMPUTER}
and date1 is null;

update report_sql 
set str10 = 'OUT'
where computer={?COMPUTER}
and date1 is not null
and date2 > date1
;



