UPDATE rezervacije r
   SET r.tip = 'REZERVACIJA'
 WHERE nvl(r.ponudba,0) = 0
   AND (r.tip like 'PLA%')
   AND r.id_saldkont is null;

UPDATE rezervacije r
   SET r.tip = 'REZERVACIJA'
 WHERE nvl(r.ponudba,0) = 0
   AND (r.tip like 'PLA%')
   AND r.id_saldkont is not null
   AND NOT ((SELECT s.zaprto FROM saldkont s WHERE r.id_saldkont = s.id_saldkont) = '1' 
    AND (SELECT s.storno FROM saldkont s WHERE r.id_saldkont = s.id_saldkont) is null);

UPDATE rezervacije r
   SET r.tip = 'PLACANO'
 WHERE nvl(r.ponudba,0) = 0
   AND (r.tip like 'REZ%')
   AND r.id_saldkont is not null
   AND ((SELECT s.zaprto FROM saldkont s WHERE r.id_saldkont = s.id_saldkont) = '1' 
    AND (SELECT s.storno FROM saldkont s WHERE r.id_saldkont = s.id_saldkont) is null);

UPDATE rezervacije r
   SET r.tip = 'REZERVACIJA'
 WHERE nvl(r.ponudba,0) > 0
   AND (r.tip like 'PLA%')
   AND r.id_saldkont is not null
   AND nvl((SELECT d.skupaj FROM m_de_na d WHERE r.ponudba = d.id_dn),0) <> 0
   AND NOT ((SELECT s.zaprto FROM saldkont s WHERE r.id_saldkont = s.id_saldkont) = '1' 
    AND (SELECT s.storno FROM saldkont s WHERE r.id_saldkont = s.id_saldkont) is null);

UPDATE rezervacije r
   SET r.tip = 'PLACANO'
 WHERE nvl(r.ponudba,0) > 0
   AND (r.tip like 'REZ%')
   AND r.id_saldkont is not null
   AND nvl((SELECT d.skupaj FROM m_de_na d WHERE r.ponudba = d.id_dn),0) <> 0
   AND ((SELECT s.zaprto FROM saldkont s WHERE r.id_saldkont = s.id_saldkont) = '1' 
    AND (SELECT s.storno FROM saldkont s WHERE r.id_saldkont = s.id_saldkont) is null);

UPDATE rezervacije r
   SET r.tip = 'REZERVACIJA'
 WHERE nvl(r.ponudba,0) > 0
   AND (r.tip like 'PLA%')
   AND r.id_saldkont is null
   AND nvl((SELECT d.skupaj FROM m_de_na d WHERE r.ponudba = d.id_dn),0) <> 0
   AND nvl((SELECT d.skupaj FROM m_de_na d WHERE r.ponudba = d.id_dn),0) - nvl(r.znesek_placila,0) > 0;

UPDATE rezervacije r
   SET r.tip = 'PLACANO'
 WHERE nvl(r.ponudba,0) > 0
   AND (r.tip like 'REZ%')
   AND nvl((SELECT d.skupaj FROM m_de_na d WHERE r.ponudba = d.id_dn),0) = 0;

COMMIT;