delete from report_sql where computer={?Computer};

insert into report_sql (computer, num1, num2, num3, num4, date1, date2, date3, num10, str1)
select {?Computer}, a.id_saldkont, abs(Nvl(a.za_placilo,0)), abs(Nvl(a.porabljeno,0)), 0, 
{?From}, {?To}, a.datum, a.za_placilo, ''
from saldkont a, nknjizba b where a.datum<={?To} 
and a.vrsta_racuna=b.saldkont and 
a.vrsta_racuna in ('AKO','AKF','VRB','DP');

update report_sql set str1='ZS' where date3<{?From}
and computer={?Computer};

update report_sql set str1='PR' where date3>={?From}
and computer={?Computer};

-- zaetno stanje

update report_sql
set num4=(select abs(Nvl(Sum(abs(a.znesek)),0)) from saldkont_zap a, saldkont b where a.id_pl_saldkont=b.id_saldkont 
and b.datum>={?From} and a.id_saldkont=num1)
where computer={?Computer} and str1='ZS';

update report_sql
set num5=(select abs(Nvl(Sum(abs(a.znesek)),0)) from saldkont_zap a, saldkont b where a.id_saldkont=b.id_saldkont 
and b.datum>={?From} and a.id_pl_saldkont=num1)
where computer={?Computer} and str1='ZS';

update report_sql
set num6=num3-(num4+num5)
where computer={?Computer} and str1='ZS';

update report_sql
set num6=num6*(-1) 
where num10<0 and computer={?Computer} and str1='ZS';

-- promet

update report_sql
set num4=(select abs(Nvl(Sum(abs(a.znesek)),0)) from saldkont_zap a, saldkont b where a.id_pl_saldkont=b.id_saldkont 
and b.datum>{?To} and a.id_saldkont=num1)
where computer={?Computer} and str1='PR';

update report_sql
set num5=(select abs(Nvl(Sum(abs(a.znesek)),0)) from saldkont_zap a, saldkont b where a.id_saldkont=b.id_saldkont 
and b.datum>{?To} and a.id_pl_saldkont=num1)
where computer={?Computer} and str1='PR';

update report_sql
set num6=num3-(num4+num5)
where computer={?Computer} and str1='PR';

update report_sql
set num6=num6*(-1) 
where num10<0 and computer={?Computer} and str1='PR';

-- zapiranja v obdonju

update report_sql
set num11=(select abs(Nvl(Sum(abs(a.znesek)),0)) from saldkont_zap a, saldkont b where a.id_pl_saldkont=b.id_saldkont 
and b.datum>={?From} and b.datum<={?To} and a.id_saldkont=num1)
where computer={?Computer};

update report_sql
set num12=(select abs(Nvl(Sum(abs(a.znesek)),0)) from saldkont_zap a, saldkont b where a.id_saldkont=b.id_saldkont 
and b.datum>={?From} and b.datum<={?To} and a.id_pl_saldkont=num1)
where computer={?Computer};

update report_sql
set num11=num11*(-1) 
where num10<0 and computer={?Computer} ;

update report_sql
set num12=num12*(-1) 
where num10<0 and computer={?Computer} ;
