DELETE FROM REPORT_SQL WHERE COMPUTER={?COMPUTER};

INSERT INTO REPORT_SQL(COMPUTER,NUM1,NUM2,STR1,NUM3,NUM4,NUM5,NUM6,NUM7,NUM8,NUM9,DATE1,DATE2,STR5,STR6)
SELECT {?COMPUTER},A.ID_PLOVILA, A.ID_STORITVE, A.STORITEV,A.ZNESEK, A.DAVEK, A.POPUST, A.POPUST1, A.POPUST2, 
A.PROVIZIJA,A.TECAJP,A.DATUM_OD,A.DATUM_DO,A.N_RACUNA,B.STEVILKA 
FROM M_STORITVE A, M_DE_NA B WHERE A.ID_DN=B.ID_DN(+) AND
A.STORITEV IN ('CHARTE','CHART1') AND A.ID_PLOVILA={?plovilo} AND
((A.DATUM_DO>=TO_DATE('01.01.'||TO_CHAR(TO_DATE({?od},'DD.MM.YYYY'),'YYYY'),'DD.MM.YYYY')
AND A.DATUM_DO<={?do}) OR A.DATUM_DO IS NULL) AND 
(A.N_RACUNA<>'STORNO' OR A.N_RACUNA IS NULL)
AND (A.ID_DN IS NULL OR (A.ID_DN IS NOT NULL AND A.VRSTA='DN'));

INSERT INTO REPORT_SQL(COMPUTER,NUM1,NUM2,STR1,NUM3,NUM4,NUM5,NUM6,NUM7,NUM8,NUM9,DATE1,DATE2,STR5,STR6)
SELECT {?COMPUTER},A.ID_PLOVILA, A.ID_STORITVE, A.STORITEV,A.ZNESEK,A.DAVEK,A.POPUST,A.POPUST1,A.POPUST2,
A.PROVIZIJA,A.TECAJP,A.DATUM_OD,A.DATUM_DO, A.N_RACUNA,B.STEVILKA
FROM M_STORITVE A, M_DE_NA B WHERE A.ID_DN=B.ID_DN AND A.ID_PLOVILA={?plovilo} AND 
((A.DATUM_DO>=TO_DATE('01.01.'||TO_CHAR(TO_DATE({?od},'DD.MM.YYYY'),'YYYY'),'DD.MM.YYYY')
AND A.DATUM_DO<={?do}) OR A.DATUM_DO IS NULL) AND 
(A.N_RACUNA<>'STORNO' OR A.N_RACUNA IS NULL)
AND B.ORG_STATUS<>'P';

UPDATE REPORT_SQL
SET DATE2=DATE1 WHERE DATE2 IS NULL AND COMPUTER={?COMPUTER};

UPDATE REPORT_SQL
SET NUM5=0 WHERE NUM5 IS NULL AND COMPUTER={?COMPUTER};

UPDATE REPORT_SQL
SET NUM6=0 WHERE NUM6 IS NULL AND COMPUTER={?COMPUTER};

UPDATE REPORT_SQL
SET NUM7=0 WHERE NUM7 IS NULL AND COMPUTER={?COMPUTER};

UPDATE REPORT_SQL
SET NUM8=0 WHERE NUM8 IS NULL AND COMPUTER={?COMPUTER};

UPDATE REPORT_SQL SET NUM10=NUM3*(1-NUM5/100)*(1-NUM6/100)*(1-NUM7/100)*(1-NUM8/100)*80/100
WHERE STR1 IN ('CHARTE', 'CHART1') AND COMPUTER={?COMPUTER};

UPDATE REPORT_SQL SET STR2='1.Income - total'
WHERE STR1 IN ('CHARTE', 'CHART1') AND COMPUTER={?COMPUTER};

UPDATE REPORT_SQL SET NUM10=NUM3*(1-NUM5/100)*(-1)
WHERE STR1 NOT IN ('CHARTE', 'CHART1') AND COMPUTER={?COMPUTER};

UPDATE REPORT_SQL SET STR2='2.Costs - total'
WHERE STR1 NOT IN ('CHARTE', 'CHART1') AND COMPUTER={?COMPUTER};

UPDATE REPORT_SQL SET NUM11=NUM10/NUM9
WHERE COMPUTER={?COMPUTER};

INSERT INTO REPORT_SQL(COMPUTER,NUM1,NUM2,STR1,STR2,NUM3,NUM4,NUM5,NUM6,NUM7,NUM8,NUM9,NUM10,NUM11,DATE2,STR5,STR6,NUM15,NUM16)
SELECT {?COMPUTER},A.ID_PLOVILA,B.ID_DOKUMENT,'3MATERIAL','2.Costs - total',0,0,0,0,0,0,0,ZNESEK/(1+DAV_STOPNJA/100)*(-1),
ZNESEK/(1+DAV_STOPNJA/100)*(-1),B.DATUM,A.N_RACUNA,A.STEVILKA,C.ID_PROMET,C.ID_OBRACUN
FROM M_DE_NA A, S_DOKUMENT B, S_PROMET C
WHERE A.ID_DN=B.DEL_NALOG AND B.ID_DOKUMENT=C.ID_DOKUMENT AND A.STATUS<>'S' AND
B.DATUM>=TO_DATE('01.01.'||TO_CHAR(TO_DATE({?od},'DD.MM.YYYY'),'YYYY'),'DD.MM.YYYY')
AND B.DATUM<={?do} AND A.ID_PLOVILA={?plovilo};

update report_sql
set num10=(select cenabd from racun_data where id_obracun=num16 and n_racuna=str5)
WHERE COMPUTER={?Computer} and str1='3MATERIAL' AND str5 IS NOT NULL;

update report_sql
set num17=(select id_saldkont from racun_data where id_obracun=num16 and n_racuna=str5)
WHERE COMPUTER={?Computer} and str1='3MATERIAL' AND str5 IS NOT NULL;

update report_sql
set num18=(select tecaj_preracun from saldkont where id_saldkont=num17)
WHERE COMPUTER={?Computer} and str1='3MATERIAL' AND str5 IS NOT NULL;

update report_sql
set num11=num10/num18
WHERE COMPUTER={?Computer} and str1='3MATERIAL' AND str5 IS NOT NULL;

update report_sql
set date3=(select max(datum) from tecaj where datum<=sysdate and nvaluta='EUR' and ntecaj='S')
WHERE COMPUTER={?Computer} and str1='3MATERIAL' AND str5 IS NULL;

update report_sql
set num12=(select tecaj from tecaj where nvaluta='EUR' and ntecaj='S' and datum=date3)
WHERE COMPUTER={?Computer} and str1='3MATERIAL' AND str5 IS NULL;

update report_sql
set num11=num10/num12
WHERE COMPUTER={?Computer} and str1='3MATERIAL' AND str5 IS NULL;

UPDATE REPORT_SQL 
SET STR3='Previous period'
WHERE DATE2<{?od} AND COMPUTER={?COMPUTER};

UPDATE REPORT_SQL 
SET STR3='Period'
WHERE DATE2>={?od} AND COMPUTER={?COMPUTER};


commit;