SELECT DISTINCT kupci.priimek || ' ' || kupci. ime As "Customer",
       plovila.ime AS "Boat", 
       plovila.trenutna_n_priveza as "Boat position", 
       priklj.datum_zacetka AS "Charged until",
       plovila.proizvajalec AS "Manufacturer",
       plovila.dolzina AS "Length",
       plovila.id AS id_plovila
FROM priklj
LEFT OUTER JOIN plovila ON priklj.id_plovila=plovila.id
LEFT OUTER JOIN kupci ON plovila.id_lastnika=kupci.ID
WHERE priklj.zaseden='Y' AND priklj.obracunan='N'
ORDER BY plovila.trenutna_n_priveza;