DELETE FROM SQL_REPORTS
WHERE COMPUTER = {?COMPUTER};

INSERT INTO SQL_REPORTS
	(COMPUTER,D1, D2, N1,S1,N2,
	S2,S3,S4,S5, S6, D3 , S7)
SELECT 
    {?COMPUTER},REZERVACIJE.DATUM_OD, REZERVACIJE.DATUM_DO, REZERVACIJE.ID_REZERVACIJE, REZERVACIJE.ZASEDENA, KUPCI.ID, 	PLOVILA.REGISTRSKA_N, PLOVILA.BOOKING, PLOVILA.OCISCENA, NNMODEL.OPIS, NNDRZAVE.SIFRA, {?NaDan},PLOVILA.IME
FROM
    REZERVACIJE REZERVACIJE,
    KUPCI KUPCI,
    PLOVILA PLOVILA,
    NNMODEL NNMODEL,
    NNDRZAVE NNDRZAVE
WHERE
    REZERVACIJE.IDKUPCA = KUPCI.ID(+) AND
    REZERVACIJE.IDPLOVILA = PLOVILA.ID(+) AND
    PLOVILA.MODEL = NNMODEL.SIFRA(+) AND
    KUPCI.NDRZAVA = NNDRZAVE.SIFRA(+) AND
    PLOVILA.BOOKING = 'B' AND
    REZERVACIJE.DATUM_DO >= {?NaDan} AND
    REZERVACIJE.DATUM_OD <= {?NaDan};

INSERT INTO SQL_REPORTS
	(COMPUTER,S2,D1, D2,S5,D3,S7)
SELECT 
    {?COMPUTER},PLOVILA.REGISTRSKA_N, {?NaDan}, {?NaDan}, NNMODEL.OPIS, {?NaDan},PLOVILA.IME
FROM
    REZERVACIJE,
    KUPCI,
    NNMODEL,
    PLOVILA    
WHERE
    REZERVACIJE.IDKUPCA = KUPCI.ID(+) AND
    REZERVACIJE.IDPLOVILA = PLOVILA.ID(+) AND
    PLOVILA.MODEL = NNMODEL.SIFRA(+) AND
    PLOVILA.BOOKING = 'B' AND
    not(REZERVACIJE.DATUM_DO >=  {?NaDan} AND
    REZERVACIJE.DATUM_OD <=  {?NaDan}) AND
    (PLOVILA.OCISCENA = 'N' OR PLOVILA.OCISCENA = '' OR (PLOVILA.OCISCENA) IS NULL) AND
    PLOVILA.REGISTRSKA_N NOT IN 
		(SELECT 
    		    PLOVILA.REGISTRSKA_N
		FROM
		    REZERVACIJE REZERVACIJE,
		    KUPCI KUPCI,
		    PLOVILA PLOVILA,
		    NNMODEL NNMODEL,
		    NNDRZAVE NNDRZAVE
		WHERE
		    REZERVACIJE.IDKUPCA = KUPCI.ID(+) AND
		    REZERVACIJE.IDPLOVILA = PLOVILA.ID(+) AND
		    PLOVILA.MODEL = NNMODEL.SIFRA(+) AND
		    KUPCI.NDRZAVA = NNDRZAVE.SIFRA(+) AND
		    PLOVILA.BOOKING = 'B' AND
		    REZERVACIJE.DATUM_DO >= {?NaDan} AND
    		    REZERVACIJE.DATUM_OD <= {?NaDan})
GROUP BY PLOVILA.REGISTRSKA_N, NNMODEL.OPIS,PLOVILA.IME;


INSERT INTO SQL_REPORTS
	(COMPUTER, S2,D1, D2,S5, D3,S7)
SELECT {?COMPUTER},PLOVILA.REGISTRSKA_N, {?NaDan}, {?NaDan} ,NNMODEL.OPIS, {?NaDan},PLOVILA.IME
FROM PLOVILA,REZERVACIJE,NNMODEL 
WHERE 
    	PLOVILA.BOOKING = 'B'  AND  
	PLOVILA.MODEL = NNMODEL.SIFRA(+) AND
    	ID NOT IN (SELECT IDPLOVILA FROM REZERVACIJE) AND
	(PLOVILA.OCISCENA = 'N' OR PLOVILA.OCISCENA = '' OR (PLOVILA.OCISCENA) IS NULL)
GROUP BY PLOVILA.REGISTRSKA_N, NNMODEL.OPIS,PLOVILA.IME;











