DELETE FROM REKAPITDDV WHERE COMPUTER={?COMPUTER};

INSERT INTO REKAPITDDV (COMPUTER, VRSTAKNJIGE, DATUM, N_RACUNA, VRSTA_RACUNA, VRSTA_RACUNAR, PRIIMEK, 
MESTO, DAVCNA_STEVILKA, DAVCNI_ZAVEZANEC, ZN_DAVKA, CENABD, ZNESEK, POPUST, DAV_STOPNJA, STORITEV, ID_OBRACUN) 
SELECT {?COMPUTER}, '01RAC', SALDKONT.DATUM, SALDKONT.N_RACUNA, SALDKONT.VRSTA_RACUNA, '', KUPCI.PRIIMEK, 
KUPCI.MESTO, KUPCI.DAVCNA_STEVILKA, KUPCI.DAVCNI_ZAVEZANEC, RACUN_DATA.ZN_DAVKA, RACUN_DATA.CENABD, 
RACUN_DATA.ZNESEK, RACUN_DATA.POPUST, RACUN_DATA.DAV_STOPNJA, M_STORITVE.STORITEV, RACUN_DATA.ID_OBRACUN
FROM
    SALDKONT SALDKONT,
    KUPCI KUPCI,
    RACUN_DATA RACUN_DATA,
    M_STORITVE M_STORITVE
WHERE
    SALDKONT.DATUM>={?DATUMOD} AND SALDKONT.DATUM<={?DATUMDO} AND
    SALDKONT.ID_KUPCA = KUPCI.ID AND
    SALDKONT.ID_SALDKONT = RACUN_DATA.ID_SALDKONT AND
    RACUN_DATA.ID_STORITVE = M_STORITVE.ID_STORITVE(+) AND
    (SALDKONT.VRSTA_RACUNA = 'RAC' OR SALDKONT.VRSTA_RACUNA = 'POS') AND
    (SALDKONT.STORNO IS NULL OR SALDKONT.STORNO='D' or SALDKONT.STORNO='P');

INSERT INTO REKAPITDDV (COMPUTER, VRSTAKNJIGE, DATUM, N_RACUNA, VRSTA_RACUNA, VRSTA_RACUNAR, PRIIMEK, 
MESTO, DAVCNA_STEVILKA, DAVCNI_ZAVEZANEC, ZN_DAVKA, CENABD, ZNESEK, POPUST, DAV_STOPNJA, STORITEV, ID_OBRACUN) 
SELECT {?COMPUTER}, '01RACPROV', SALDKONT.DATUM, SALDKONT.N_RACUNA, SALDKONT.VRSTA_RACUNA, '', KUPCI.PRIIMEK, 
KUPCI.MESTO, KUPCI.DAVCNA_STEVILKA, KUPCI.DAVCNI_ZAVEZANEC, RACUN_DATA.ZN_DAVKA, RACUN_DATA.CENABD, 
RACUN_DATA.ZNESEK, RACUN_DATA.POPUST, RACUN_DATA.DAV_STOPNJA, M_STORITVE.STORITEV, RACUN_DATA.ID_OBRACUN
FROM
    SALDKONT SALDKONT,
    KUPCI KUPCI,
    RACUN_DATA RACUN_DATA,
    M_STORITVE M_STORITVE
WHERE
    SALDKONT.DATUM>={?DATUMOD} AND SALDKONT.DATUM<={?DATUMDO} AND
    SALDKONT.ID_KUPCA = KUPCI.ID AND
    SALDKONT.ID_SALDKONT = RACUN_DATA.ID_SALDKONT AND
    RACUN_DATA.ID_STORITVE = M_STORITVE.ID_STORITVE(+) AND
    (SALDKONT.VRSTA_RACUNA = 'MOS');

INSERT INTO REKAPITDDV (COMPUTER, VRSTAKNJIGE, DATUM, N_RACUNA, VRSTA_RACUNA, VRSTA_RACUNAR, PRIIMEK, 
MESTO, DAVCNA_STEVILKA, DAVCNI_ZAVEZANEC, ZN_DAVKA, CENABD, ZNESEK, POPUST, DAV_STOPNJA, STORITEV, ID_OBRACUN) 
SELECT {?COMPUTER}, '01RACDOB', SALDKONT.DATUM, SALDKONT.N_RACUNA, SALDKONT.VRSTA_RACUNA, '', KUPCI.PRIIMEK, 
KUPCI.MESTO, KUPCI.DAVCNA_STEVILKA, KUPCI.DAVCNI_ZAVEZANEC, RACUN_DATA.ZN_DAVKA, RACUN_DATA.CENABD, 
RACUN_DATA.ZNESEK, RACUN_DATA.POPUST, RACUN_DATA.DAV_STOPNJA, M_STORITVE.STORITEV, RACUN_DATA.ID_OBRACUN
FROM
    SALDKONT SALDKONT,
    KUPCI KUPCI,
    RACUN_DATA RACUN_DATA,
    M_STORITVE M_STORITVE
WHERE
    SALDKONT.DATUM>={?DATUMOD} AND SALDKONT.DATUM<={?DATUMDO} AND
    SALDKONT.ID_KUPCA = KUPCI.ID AND
    SALDKONT.ID_SALDKONT = RACUN_DATA.ID_SALDKONT AND
    RACUN_DATA.ID_STORITVE = M_STORITVE.ID_STORITVE(+) AND
    (SALDKONT.VRSTA_RACUNA = 'DOB');

INSERT INTO REKAPITDDV (COMPUTER, VRSTAKNJIGE, DATUM, N_RACUNA, VRSTA_RACUNA, VRSTA_RACUNAR, PRIIMEK, 
MESTO, DAVCNA_STEVILKA, DAVCNI_ZAVEZANEC, ZN_DAVKA, CENABD, ZNESEK, POPUST, DAV_STOPNJA, STORITEV, ID_OBRACUN) 
SELECT {?COMPUTER}, '01RACSTO', SALDKONT.DATUM, SALDKONT.N_RACUNA, SALDKONT.VRSTA_RACUNA, '', KUPCI.PRIIMEK, 
KUPCI.MESTO, KUPCI.DAVCNA_STEVILKA, KUPCI.DAVCNI_ZAVEZANEC, RACUN_DATA.ZN_DAVKA, RACUN_DATA.CENABD, 
RACUN_DATA.ZNESEK, RACUN_DATA.POPUST, RACUN_DATA.DAV_STOPNJA, M_STORITVE.STORITEV, RACUN_DATA.ID_OBRACUN
FROM
    SALDKONT SALDKONT,
    KUPCI KUPCI,
    RACUN_DATA RACUN_DATA,
    M_STORITVE M_STORITVE
WHERE
    SALDKONT.DATUM>={?DATUMOD} AND SALDKONT.DATUM<={?DATUMDO} AND
    SALDKONT.ID_KUPCA = KUPCI.ID AND
    SALDKONT.ID_SALDKONT = RACUN_DATA.ID_SALDKONT AND
    RACUN_DATA.ID_STORITVE = M_STORITVE.ID_STORITVE(+) AND
    (SALDKONT.VRSTA_RACUNA = 'RAC' OR SALDKONT.VRSTA_RACUNA = 'POS') AND
    SALDKONT.STORNO IS NOT NULL AND SALDKONT.STORNO<>'D' AND SALDKONT.STORNO<>'P';

INSERT INTO REKAPITDDV (COMPUTER, VRSTAKNJIGE, DATUM, N_RACUNA, VRSTA_RACUNA, VRSTA_RACUNAR, PRIIMEK, 
MESTO, DAVCNA_STEVILKA, DAVCNI_ZAVEZANEC, ZN_DAVKA, CENABD, ZNESEK, POPUST, DAV_STOPNJA, STORITEV, ID_OBRACUN) 
SELECT {?COMPUTER}, '02RACGOS', SALDKONT.DATUM, SALDKONT.N_RACUNA, SALDKONT.VRSTA_RACUNA, '', KUPCI.PRIIMEK, 
KUPCI.MESTO, KUPCI.DAVCNA_STEVILKA, KUPCI.DAVCNI_ZAVEZANEC, RACUN_DATA.ZN_DAVKA, RACUN_DATA.CENABD, 
RACUN_DATA.ZNESEK, RACUN_DATA.POPUST, RACUN_DATA.DAV_STOPNJA, M_STORITVE.STORITEV, RACUN_DATA.ID_OBRACUN
FROM
    SALDKONT SALDKONT,
    KUPCI KUPCI,
    RACUN_DATA RACUN_DATA,
    M_STORITVE M_STORITVE
WHERE
    SALDKONT.DATUM>={?DATUMOD} AND SALDKONT.DATUM<={?DATUMDO} AND
    SALDKONT.ID_KUPCA = KUPCI.ID AND
    SALDKONT.ID_SALDKONT = RACUN_DATA.ID_SALDKONT AND
    RACUN_DATA.ID_STORITVE = M_STORITVE.ID_STORITVE(+) AND
    (SALDKONT.VRSTA_RACUNA = 'GOS');
	
INSERT INTO REKAPITDDV (COMPUTER, VRSTAKNJIGE, DATUM, N_RACUNA, VRSTA_RACUNA, VRSTA_RACUNAR, PRIIMEK, 
MESTO, DAVCNA_STEVILKA, DAVCNI_ZAVEZANEC, ZN_DAVKA, CENABD, ZNESEK, POPUST, DAV_STOPNJA, STORITEV, ID_OBRACUN) 
SELECT {?COMPUTER}, '02RGOSDOB', SALDKONT.DATUM, SALDKONT.N_RACUNA, SALDKONT.VRSTA_RACUNA, '', KUPCI.PRIIMEK, 
KUPCI.MESTO, KUPCI.DAVCNA_STEVILKA, KUPCI.DAVCNI_ZAVEZANEC, RACUN_DATA.ZN_DAVKA, RACUN_DATA.CENABD, 
RACUN_DATA.ZNESEK, RACUN_DATA.POPUST, RACUN_DATA.DAV_STOPNJA, M_STORITVE.STORITEV, RACUN_DATA.ID_OBRACUN
FROM
    SALDKONT SALDKONT,
    KUPCI KUPCI,
    RACUN_DATA RACUN_DATA,
    M_STORITVE M_STORITVE
WHERE
    SALDKONT.DATUM>={?DATUMOD} AND SALDKONT.DATUM<={?DATUMDO} AND
    SALDKONT.ID_KUPCA = KUPCI.ID AND
    SALDKONT.ID_SALDKONT = RACUN_DATA.ID_SALDKONT AND
    RACUN_DATA.ID_STORITVE = M_STORITVE.ID_STORITVE(+) AND
    (SALDKONT.VRSTA_RACUNA = 'DOG');

INSERT INTO REKAPITDDV (COMPUTER, VRSTAKNJIGE, DATUM, N_RACUNA, VRSTA_RACUNA, VRSTA_RACUNAR, PRIIMEK, 
MESTO, DAVCNA_STEVILKA, DAVCNI_ZAVEZANEC, ZN_DAVKA, CENABD, ZNESEK, POPUST, DAV_STOPNJA, STORITEV, ID_OBRACUN) 
SELECT {?COMPUTER}, '02ZKAR', SALDKONT.DATUM, SALDKONT.N_RACUNA, SALDKONT.VRSTA_RACUNA, '', KUPCI.PRIIMEK, 
KUPCI.MESTO, KUPCI.DAVCNA_STEVILKA, KUPCI.DAVCNI_ZAVEZANEC, RACUN_DATA.ZN_DAVKA, RACUN_DATA.CENABD, 
RACUN_DATA.ZNESEK, RACUN_DATA.POPUST, RACUN_DATA.DAV_STOPNJA, M_STORITVE.STORITEV, RACUN_DATA.ID_OBRACUN
FROM
    SALDKONT SALDKONT,
    KUPCI KUPCI,
    RACUN_DATA RACUN_DATA,
    M_STORITVE M_STORITVE
WHERE
    SALDKONT.DATUM>={?DATUMOD} AND SALDKONT.DATUM<={?DATUMDO} AND
    SALDKONT.ID_KUPCA = KUPCI.ID AND
    SALDKONT.ID_SALDKONT = RACUN_DATA.ID_SALDKONT AND
    RACUN_DATA.ID_STORITVE = M_STORITVE.ID_STORITVE(+) AND
    (SALDKONT.VRSTA_RACUNA = 'KOS');
	

INSERT INTO REKAPITDDV (COMPUTER, VRSTAKNJIGE, DATUM, N_RACUNA, VRSTA_RACUNA, VRSTA_RACUNAR, PRIIMEK, 
MESTO, DAVCNA_STEVILKA, DAVCNI_ZAVEZANEC, ZN_DAVKA, CENABD, ZNESEK, POPUST, DAV_STOPNJA, STORITEV, ID_OBRACUN) 
SELECT {?COMPUTER}, '03AKO', SALDKONT.DATUM, SALDKONT.N_RACUNA, SALDKONT.VRSTA_RACUNA, '', KUPCI.PRIIMEK, 
KUPCI.MESTO, KUPCI.DAVCNA_STEVILKA, KUPCI.DAVCNI_ZAVEZANEC, RACUN_DATA.ZN_DAVKA, RACUN_DATA.CENABD, 
RACUN_DATA.ZNESEK, RACUN_DATA.POPUST, RACUN_DATA.DAV_STOPNJA, M_STORITVE.STORITEV, RACUN_DATA.ID_OBRACUN
FROM
    SALDKONT SALDKONT,
    KUPCI KUPCI,
    RACUN_DATA RACUN_DATA,
    M_STORITVE M_STORITVE
WHERE
    SALDKONT.DATUM>={?DATUMOD} AND SALDKONT.DATUM<={?DATUMDO} AND
    SALDKONT.ID_KUPCA = KUPCI.ID AND
    SALDKONT.ID_SALDKONT = RACUN_DATA.ID_SALDKONT AND
    RACUN_DATA.ID_STORITVE = M_STORITVE.ID_STORITVE(+) AND
    (SALDKONT.VRSTA_RACUNA = 'AKO' OR SALDKONT.VRSTA_RACUNA = 'AKF' OR SALDKONT.VRSTA_RACUNA = 'VRK');



INSERT INTO REKAPITDDV (COMPUTER, VRSTAKNJIGE, DATUM, N_RACUNA, VRSTA_RACUNA, VRSTA_RACUNAR, PRIIMEK, 
MESTO, DAVCNA_STEVILKA, DAVCNI_ZAVEZANEC, ZN_DAVKA, CENABD, ZNESEK, POPUST, DAV_STOPNJA, STORITEV, ID_OBRACUN) 
SELECT {?COMPUTER}, '03AKO', SALDKONT_1.DATUM, SALDKONT.N_RACUNA, SALDKONT.VRSTA_RACUNA,  
SALDKONT_1.VRSTA_RACUNA, KUPCI.PRIIMEK, KUPCI.MESTO, KUPCI.DAVCNA_STEVILKA, KUPCI.DAVCNI_ZAVEZANEC, 
SALDKONT_ZAP.ZNESEK_DAVKA*(-1), (SALDKONT_ZAP.ZNESEK*SALDKONT.TECAJ_VALUTE-SALDKONT_ZAP.ZNESEK_DAVKA)*(-1), 
SALDKONT_ZAP.ZNESEK*SALDKONT.TECAJ_VALUTE*(-1), RACUN_DATA.POPUST, RACUN_DATA.DAV_STOPNJA, '', RACUN_DATA.ID_OBRACUN
FROM
    SALDKONT SALDKONT,
    SALDKONT_ZAP SALDKONT_ZAP,
    KUPCI KUPCI,
    RACUN_DATA RACUN_DATA,
    SALDKONT SALDKONT_1
WHERE
    SALDKONT_ZAP.DATUM_SPREMEMBE>={?DATUMOD} AND TO_DATE(SALDKONT_ZAP.DATUM_SPREMEMBE)<={?DATUMDO} AND 
    SALDKONT_ZAP.DATUM_SPREMEMBE<'01.01.2007' AND
    SALDKONT.ID_SALDKONT = SALDKONT_ZAP.ID_PL_SALDKONT AND
    SALDKONT.ID_KUPCA = KUPCI.ID AND
    SALDKONT.ID_SALDKONT = RACUN_DATA.ID_SALDKONT AND
    SALDKONT_ZAP.ID_SALDKONT = SALDKONT_1.ID_SALDKONT AND
    (SALDKONT.VRSTA_RACUNA = 'AKO' OR SALDKONT.VRSTA_RACUNA = 'AKF' OR SALDKONT.VRSTA_RACUNA = 'VRK') AND
    (SALDKONT_1.VRSTA_RACUNA = 'KOS' OR SALDKONT_1.VRSTA_RACUNA = 'GOS' OR SALDKONT_1.VRSTA_RACUNA = 'POS' OR
    SALDKONT_1.VRSTA_RACUNA = 'RAC') AND
    (SALDKONT_1.STORNO IS NULL OR SALDKONT_1.STORNO='P')AND
    SALDKONT.STORNO IS NULL AND
	SALDKONT_ZAP.ZNESEK_DAVKA <> 0 AND
    (RACUN_DATA.DAV_STOPNJA = 8.5 OR RACUN_DATA.DAV_STOPNJA = 20 OR RACUN_DATA.DAV_STOPNJA = 0)
     AND SALDKONT.N_RACUNA<>'AV283/04';

INSERT INTO REKAPITDDV (COMPUTER, VRSTAKNJIGE, DATUM, N_RACUNA, VRSTA_RACUNA, VRSTA_RACUNAR, PRIIMEK, 
MESTO, DAVCNA_STEVILKA, DAVCNI_ZAVEZANEC, ZN_DAVKA, CENABD, ZNESEK, POPUST, DAV_STOPNJA, STORITEV, ID_OBRACUN) 
SELECT {?COMPUTER}, '03AKO', SALDKONT_1.DATUM, SALDKONT.N_RACUNA, SALDKONT.VRSTA_RACUNA,  
SALDKONT_1.VRSTA_RACUNA, KUPCI.PRIIMEK, KUPCI.MESTO, KUPCI.DAVCNA_STEVILKA, KUPCI.DAVCNI_ZAVEZANEC, 
SALDKONT_ZAP.ZNESEK_DAVKA*(-1)/SALDKONT_1.TECAJ_VALUTE, (SALDKONT_ZAP.ZNESEK-(SALDKONT_ZAP.ZNESEK_DAVKA/SALDKONT_1.TECAJ_VALUTE))*(-1), 
SALDKONT_ZAP.ZNESEK*(-1), RACUN_DATA.POPUST, RACUN_DATA.DAV_STOPNJA, '', RACUN_DATA.ID_OBRACUN
FROM
    SALDKONT SALDKONT,
    SALDKONT_ZAP SALDKONT_ZAP,
    KUPCI KUPCI,
    RACUN_DATA RACUN_DATA,
    SALDKONT SALDKONT_1
WHERE
    SALDKONT_ZAP.DATUM_SPREMEMBE>={?DATUMOD} AND TO_DATE(SALDKONT_ZAP.DATUM_SPREMEMBE)<={?DATUMDO} AND
    SALDKONT_ZAP.DATUM_SPREMEMBE>='01.01.2007' AND SALDKONT_1.DATUM<'01.01.2007' AND
    SALDKONT.ID_SALDKONT = SALDKONT_ZAP.ID_PL_SALDKONT AND
    SALDKONT.ID_KUPCA = KUPCI.ID AND
    SALDKONT.ID_SALDKONT = RACUN_DATA.ID_SALDKONT AND
    SALDKONT_ZAP.ID_SALDKONT = SALDKONT_1.ID_SALDKONT AND
    (SALDKONT.VRSTA_RACUNA = 'AKO' OR SALDKONT.VRSTA_RACUNA = 'AKF' OR SALDKONT.VRSTA_RACUNA = 'VRK') AND
    (SALDKONT_1.VRSTA_RACUNA = 'KOS' OR SALDKONT_1.VRSTA_RACUNA = 'GOS' OR SALDKONT_1.VRSTA_RACUNA = 'POS' OR
    SALDKONT_1.VRSTA_RACUNA = 'RAC') AND
    (SALDKONT_1.STORNO IS NULL OR SALDKONT_1.STORNO='P')AND
    SALDKONT.STORNO IS NULL AND
	SALDKONT_ZAP.ZNESEK_DAVKA <> 0 AND
    (RACUN_DATA.DAV_STOPNJA = 8.5 OR RACUN_DATA.DAV_STOPNJA = 20 OR RACUN_DATA.DAV_STOPNJA = 0)
     AND SALDKONT.N_RACUNA<>'AV283/04';

INSERT INTO REKAPITDDV (COMPUTER, VRSTAKNJIGE, DATUM, N_RACUNA, VRSTA_RACUNA, VRSTA_RACUNAR, PRIIMEK, 
MESTO, DAVCNA_STEVILKA, DAVCNI_ZAVEZANEC, ZN_DAVKA, CENABD, ZNESEK, POPUST, DAV_STOPNJA, STORITEV, ID_OBRACUN) 
SELECT {?COMPUTER}, '03AKO', SALDKONT_1.DATUM, SALDKONT.N_RACUNA, SALDKONT.VRSTA_RACUNA,  
SALDKONT_1.VRSTA_RACUNA, KUPCI.PRIIMEK, KUPCI.MESTO, KUPCI.DAVCNA_STEVILKA, KUPCI.DAVCNI_ZAVEZANEC, 
SALDKONT_ZAP.ZNESEK_DAVKA*(-1)/SALDKONT.TECAJ_VALUTE, (SALDKONT_ZAP.ZNESEK-(SALDKONT_ZAP.ZNESEK_DAVKA/SALDKONT.TECAJ_VALUTE))*(-1), 
SALDKONT_ZAP.ZNESEK*(-1), RACUN_DATA.POPUST, RACUN_DATA.DAV_STOPNJA, '', RACUN_DATA.ID_OBRACUN
FROM
    SALDKONT SALDKONT,
    SALDKONT_ZAP SALDKONT_ZAP,
    KUPCI KUPCI,
    RACUN_DATA RACUN_DATA,
    SALDKONT SALDKONT_1
WHERE
    SALDKONT_ZAP.DATUM_SPREMEMBE>={?DATUMOD} AND TO_DATE(SALDKONT_ZAP.DATUM_SPREMEMBE)<={?DATUMDO} AND
    SALDKONT_ZAP.DATUM_SPREMEMBE>='01.01.2007' AND SALDKONT_1.DATUM>='01.01.2007' AND
    SALDKONT.ID_SALDKONT = SALDKONT_ZAP.ID_PL_SALDKONT AND
    SALDKONT.ID_KUPCA = KUPCI.ID AND
    SALDKONT.ID_SALDKONT = RACUN_DATA.ID_SALDKONT AND
    SALDKONT_ZAP.ID_SALDKONT = SALDKONT_1.ID_SALDKONT AND
    (SALDKONT.VRSTA_RACUNA = 'AKO' OR SALDKONT.VRSTA_RACUNA = 'AKF' OR SALDKONT.VRSTA_RACUNA = 'VRK') AND
    (SALDKONT_1.VRSTA_RACUNA = 'KOS' OR SALDKONT_1.VRSTA_RACUNA = 'GOS' OR SALDKONT_1.VRSTA_RACUNA = 'POS' OR
    SALDKONT_1.VRSTA_RACUNA = 'RAC') AND
    (SALDKONT_1.STORNO IS NULL OR SALDKONT_1.STORNO='P')AND
    SALDKONT.STORNO IS NULL AND
	SALDKONT_ZAP.ZNESEK_DAVKA <> 0 AND
    (RACUN_DATA.DAV_STOPNJA = 8.5 OR RACUN_DATA.DAV_STOPNJA = 20 OR RACUN_DATA.DAV_STOPNJA = 0)
     AND SALDKONT.N_RACUNA<>'AV283/04';


INSERT INTO REKAPITDDV (COMPUTER, VRSTAKNJIGE, DATUM, N_RACUNA, VRSTA_RACUNA, VRSTA_RACUNAR, PRIIMEK, 
MESTO, DAVCNA_STEVILKA, DAVCNI_ZAVEZANEC, ZN_DAVKA, CENABD, ZNESEK, POPUST, DAV_STOPNJA, STORITEV, ID_OBRACUN) 
SELECT {?COMPUTER}, '03AKO', SALDKONT_1.DATUM, SALDKONT.N_RACUNA, SALDKONT.VRSTA_RACUNA,  
SALDKONT_1.VRSTA_RACUNA, KUPCI.PRIIMEK, KUPCI.MESTO, KUPCI.DAVCNA_STEVILKA, KUPCI.DAVCNI_ZAVEZANEC, 
SALDKONT_ZAP.ZNESEK_DAVKA*(-1), (SALDKONT_ZAP.ZNESEK*SALDKONT_ZAP.TECAJ-SALDKONT_ZAP.ZNESEK_DAVKA)*(-1), 
SALDKONT_ZAP.ZNESEK*SALDKONT_ZAP.TECAJ*(-1), RACUN_DATA.POPUST, RACUN_DATA.DAV_STOPNJA, '', RACUN_DATA.ID_OBRACUN
FROM
    SALDKONT SALDKONT,
    SALDKONT_ZAP SALDKONT_ZAP,
    KUPCI KUPCI,
    RACUN_DATA RACUN_DATA,
    SALDKONT SALDKONT_1
WHERE
    SALDKONT_ZAP.DATUM_SPREMEMBE>={?DATUMOD} AND TO_DATE(SALDKONT_ZAP.DATUM_SPREMEMBE)<={?DATUMDO} AND
    SALDKONT.ID_SALDKONT = SALDKONT_ZAP.ID_PL_SALDKONT AND
    SALDKONT.ID_KUPCA = KUPCI.ID AND
    SALDKONT.ID_SALDKONT = RACUN_DATA.ID_SALDKONT AND
    SALDKONT_ZAP.ID_SALDKONT = SALDKONT_1.ID_SALDKONT AND
    (SALDKONT.VRSTA_RACUNA = 'AKO' OR SALDKONT.VRSTA_RACUNA = 'AKF' OR SALDKONT.VRSTA_RACUNA = 'VRK') AND
    (SALDKONT_1.VRSTA_RACUNA = 'KOS' OR SALDKONT_1.VRSTA_RACUNA = 'GOS' OR SALDKONT_1.VRSTA_RACUNA = 'POS' OR
    SALDKONT_1.VRSTA_RACUNA = 'RAC') AND
    (SALDKONT_1.STORNO IS NULL OR SALDKONT_1.STORNO='P') AND
    SALDKONT.STORNO IS NULL AND
	SALDKONT_ZAP.ZNESEK_DAVKA <> 0 AND
    (RACUN_DATA.DAV_STOPNJA = 8.5 OR RACUN_DATA.DAV_STOPNJA = 20 OR RACUN_DATA.DAV_STOPNJA = 0)
     AND SALDKONT.N_RACUNA='AV283/04';

INSERT INTO REKAPITDDV (COMPUTER, VRSTAKNJIGE, DATUM, N_RACUNA, VRSTA_RACUNA, VRSTA_RACUNAR, PRIIMEK, 
MESTO, DAVCNA_STEVILKA, DAVCNI_ZAVEZANEC, ZN_DAVKA, CENABD, ZNESEK, POPUST, DAV_STOPNJA, STORITEV, ID_OBRACUN) 
SELECT {?COMPUTER}, '04AKOST', SALDKONT_1.DATUM, SALDKONT.N_RACUNA, SALDKONT.VRSTA_RACUNA,  
SALDKONT_1.VRSTA_RACUNA, KUPCI.PRIIMEK, KUPCI.MESTO, KUPCI.DAVCNA_STEVILKA, KUPCI.DAVCNI_ZAVEZANEC, 
SALDKONT_ZAP.ZNESEK_DAVKA*(-1), (SALDKONT_ZAP.ZNESEK*SALDKONT_ZAP.TECAJ-SALDKONT_ZAP.ZNESEK_DAVKA)*(-1), 
SALDKONT_ZAP.ZNESEK*SALDKONT_ZAP.TECAJ*(-1), RACUN_DATA.POPUST, 
RACUN_DATA.DAV_STOPNJA, '', RACUN_DATA.ID_OBRACUN
FROM
    SALDKONT SALDKONT,
    SALDKONT_ZAP SALDKONT_ZAP,
    KUPCI KUPCI,
    RACUN_DATA RACUN_DATA,
    SALDKONT SALDKONT_1
WHERE
    SALDKONT_ZAP.DATUM_SPREMEMBE>={?DATUMOD} AND SALDKONT_ZAP.DATUM_SPREMEMBE<={?DATUMDO} AND
    SALDKONT.ID_SALDKONT = SALDKONT_ZAP.ID_PL_SALDKONT AND
    SALDKONT.ID_KUPCA = KUPCI.ID AND
    SALDKONT.ID_SALDKONT = RACUN_DATA.ID_SALDKONT AND
    SALDKONT_ZAP.ID_SALDKONT = SALDKONT_1.ID_SALDKONT AND
    (SALDKONT.VRSTA_RACUNA = 'AKO' OR SALDKONT.VRSTA_RACUNA = 'AKF' OR SALDKONT.VRSTA_RACUNA = 'VRK') AND
    (SALDKONT_1.VRSTA_RACUNA = 'KOS' OR SALDKONT_1.VRSTA_RACUNA = 'GOS' OR SALDKONT_1.VRSTA_RACUNA = 'POS' OR
    SALDKONT_1.VRSTA_RACUNA = 'RAC' OR SALDKONT_1.VRSTA_RACUNA = 'DOB' OR SALDKONT_1.VRSTA_RACUNA = 'DOG') AND
    (SALDKONT_1.STORNO IS NULL OR SALDKONT_1.STORNO='P') AND
    SALDKONT.STORNO IS NULL AND
    (RACUN_DATA.DAV_STOPNJA = 8 OR RACUN_DATA.DAV_STOPNJA = 19);
