DELETE FROM REKAPITDDV WHERE COMPUTER={?COMPUTER};

INSERT INTO REKAPITDDV (COMPUTER, VRSTAKNJIGE, DATUM, N_RACUNA, VRSTA_RACUNA, VRSTA_RACUNAR, PRIIMEK, 
MESTO, DAVCNA_STEVILKA, DAVCNI_ZAVEZANEC, ZN_DAVKA, CENABD, ZNESEK, POPUST, DAV_STOPNJA, STORITEV, ID_OBRACUN) 
SELECT {?COMPUTER}, '01RAC', SALDKONT.DATUM, SALDKONT.N_RACUNA, SALDKONT.VRSTA_RACUNA, '', KUPCI.PRIIMEK, 
KUPCI.MESTO, KUPCI.DAVCNA_STEVILKA, KUPCI.DAVCNI_ZAVEZANEC, RACUN_DATA.ZN_DAVKA, RACUN_DATA.CENABD, 
RACUN_DATA.ZNESEK, RACUN_DATA.POPUST, RACUN_DATA.DAV_STOPNJA, M_STORITVE.STORITEV, RACUN_DATA.ID_OBRACUN
FROM
    SALDKONT SALDKONT,
    KUPCI KUPCI,
    RACUN_DATA RACUN_DATA,
    M_STORITVE M_STORITVE
WHERE
    SALDKONT.DATUM>={?DATUMOD} AND SALDKONT.DATUM<={?DATUMDO} AND
    SALDKONT.ID_KUPCA = KUPCI.ID AND
    SALDKONT.ID_SALDKONT = RACUN_DATA.ID_SALDKONT AND
    RACUN_DATA.ID_STORITVE = M_STORITVE.ID_STORITVE(+) AND
    (SALDKONT.VRSTA_RACUNA = 'RAC' OR SALDKONT.VRSTA_RACUNA = 'POS') AND
    SALDKONT.STORNO IS NULL AND KUPCI.NDRZAVA IN 
    ('040','056','196','200','208','213','246','250','300','372','380','408','439','442','348','470','280','528','616','620','997','005','724','752','826');



INSERT INTO REKAPITDDV (COMPUTER, VRSTAKNJIGE, DATUM, N_RACUNA, VRSTA_RACUNA, VRSTA_RACUNAR, PRIIMEK, 
MESTO, DAVCNA_STEVILKA, DAVCNI_ZAVEZANEC, ZN_DAVKA, CENABD, ZNESEK, POPUST, DAV_STOPNJA, STORITEV, ID_OBRACUN) 
SELECT {?COMPUTER}, '01RACPROV', SALDKONT.DATUM, SALDKONT.N_RACUNA, SALDKONT.VRSTA_RACUNA, '', KUPCI.PRIIMEK, 
KUPCI.MESTO, KUPCI.DAVCNA_STEVILKA, KUPCI.DAVCNI_ZAVEZANEC, RACUN_DATA.ZN_DAVKA, RACUN_DATA.CENABD, 
RACUN_DATA.ZNESEK, RACUN_DATA.POPUST, RACUN_DATA.DAV_STOPNJA, M_STORITVE.STORITEV, RACUN_DATA.ID_OBRACUN
FROM
    SALDKONT SALDKONT,
    KUPCI KUPCI,
    RACUN_DATA RACUN_DATA,
    M_STORITVE M_STORITVE
WHERE
    SALDKONT.DATUM>={?DATUMOD} AND SALDKONT.DATUM<={?DATUMDO} AND
    SALDKONT.ID_KUPCA = KUPCI.ID AND
    SALDKONT.ID_SALDKONT = RACUN_DATA.ID_SALDKONT AND
    RACUN_DATA.ID_STORITVE = M_STORITVE.ID_STORITVE(+) AND
    (SALDKONT.VRSTA_RACUNA = 'MOS')AND KUPCI.NDRZAVA IN 
    ('040','056','196','200','208','213','246','250','300','372','380','408','439','442','348','470','280','528','616','620','997','005','724','752','826');

INSERT INTO REKAPITDDV (COMPUTER, VRSTAKNJIGE, DATUM, N_RACUNA, VRSTA_RACUNA, VRSTA_RACUNAR, PRIIMEK, 
MESTO, DAVCNA_STEVILKA, DAVCNI_ZAVEZANEC, ZN_DAVKA, CENABD, ZNESEK, POPUST, DAV_STOPNJA, STORITEV, ID_OBRACUN) 
SELECT {?COMPUTER}, '01RACDOB', SALDKONT.DATUM, SALDKONT.N_RACUNA, SALDKONT.VRSTA_RACUNA, '', KUPCI.PRIIMEK, 
KUPCI.MESTO, KUPCI.DAVCNA_STEVILKA, KUPCI.DAVCNI_ZAVEZANEC, RACUN_DATA.ZN_DAVKA, RACUN_DATA.CENABD, 
RACUN_DATA.ZNESEK, RACUN_DATA.POPUST, RACUN_DATA.DAV_STOPNJA, M_STORITVE.STORITEV, RACUN_DATA.ID_OBRACUN
FROM
    SALDKONT SALDKONT,
    KUPCI KUPCI,
    RACUN_DATA RACUN_DATA,
    M_STORITVE M_STORITVE
WHERE
    SALDKONT.DATUM>={?DATUMOD} AND SALDKONT.DATUM<={?DATUMDO} AND
    SALDKONT.ID_KUPCA = KUPCI.ID AND
    SALDKONT.ID_SALDKONT = RACUN_DATA.ID_SALDKONT AND
    RACUN_DATA.ID_STORITVE = M_STORITVE.ID_STORITVE(+) AND
    (SALDKONT.VRSTA_RACUNA = 'DOB') AND KUPCI.NDRZAVA IN 
    ('040','056','196','200','208','213','246','250','300','372','380','408','439','442','348','470','280','528','616','620','997','005','724','752','826');


INSERT INTO REKAPITDDV (COMPUTER, VRSTAKNJIGE, DATUM, N_RACUNA, VRSTA_RACUNA, VRSTA_RACUNAR, PRIIMEK, 
MESTO, DAVCNA_STEVILKA, DAVCNI_ZAVEZANEC, ZN_DAVKA, CENABD, ZNESEK, POPUST, DAV_STOPNJA, STORITEV, ID_OBRACUN) 
SELECT {?COMPUTER}, '01RACSTO', SALDKONT.DATUM, SALDKONT.N_RACUNA, SALDKONT.VRSTA_RACUNA, '', KUPCI.PRIIMEK, 
KUPCI.MESTO, KUPCI.DAVCNA_STEVILKA, KUPCI.DAVCNI_ZAVEZANEC, RACUN_DATA.ZN_DAVKA, RACUN_DATA.CENABD, 
RACUN_DATA.ZNESEK, RACUN_DATA.POPUST, RACUN_DATA.DAV_STOPNJA, M_STORITVE.STORITEV, RACUN_DATA.ID_OBRACUN
FROM
    SALDKONT SALDKONT,
    KUPCI KUPCI,
    RACUN_DATA RACUN_DATA,
    M_STORITVE M_STORITVE
WHERE
    SALDKONT.DATUM>={?DATUMOD} AND SALDKONT.DATUM<={?DATUMDO} AND
    SALDKONT.ID_KUPCA = KUPCI.ID AND
    SALDKONT.ID_SALDKONT = RACUN_DATA.ID_SALDKONT AND
    RACUN_DATA.ID_STORITVE = M_STORITVE.ID_STORITVE(+) AND
    (SALDKONT.VRSTA_RACUNA = 'RAC' OR SALDKONT.VRSTA_RACUNA = 'POS') AND
    SALDKONT.STORNO IS NOT NULL AND KUPCI.NDRZAVA IN 
    ('040','056','196','200','208','213','246','250','300','372','380','408','439','442','348','470','280','528','616','620','997','005','724','752','826');

INSERT INTO REKAPITDDV (COMPUTER, VRSTAKNJIGE, DATUM, N_RACUNA, VRSTA_RACUNA, VRSTA_RACUNAR, PRIIMEK, 
MESTO, DAVCNA_STEVILKA, DAVCNI_ZAVEZANEC, ZN_DAVKA, CENABD, ZNESEK, POPUST, DAV_STOPNJA, STORITEV, ID_OBRACUN) 
SELECT {?COMPUTER}, '02RACGOS', SALDKONT.DATUM, SALDKONT.N_RACUNA, SALDKONT.VRSTA_RACUNA, '', KUPCI.PRIIMEK, 
KUPCI.MESTO, KUPCI.DAVCNA_STEVILKA, KUPCI.DAVCNI_ZAVEZANEC, RACUN_DATA.ZN_DAVKA, RACUN_DATA.CENABD, 
RACUN_DATA.ZNESEK, RACUN_DATA.POPUST, RACUN_DATA.DAV_STOPNJA, M_STORITVE.STORITEV, RACUN_DATA.ID_OBRACUN
FROM
    SALDKONT SALDKONT,
    KUPCI KUPCI,
    RACUN_DATA RACUN_DATA,
    M_STORITVE M_STORITVE
WHERE
    SALDKONT.DATUM>={?DATUMOD} AND SALDKONT.DATUM<={?DATUMDO} AND
    SALDKONT.ID_KUPCA = KUPCI.ID AND
    SALDKONT.ID_SALDKONT = RACUN_DATA.ID_SALDKONT AND
    RACUN_DATA.ID_STORITVE = M_STORITVE.ID_STORITVE(+) AND
    (SALDKONT.VRSTA_RACUNA = 'GOS') AND KUPCI.NDRZAVA IN 
    ('040','056','196','200','208','213','246','250','300','372','380','408','439','442','348','470','280','528','616','620','997','005','724','752','826');
	
INSERT INTO REKAPITDDV (COMPUTER, VRSTAKNJIGE, DATUM, N_RACUNA, VRSTA_RACUNA, VRSTA_RACUNAR, PRIIMEK, 
MESTO, DAVCNA_STEVILKA, DAVCNI_ZAVEZANEC, ZN_DAVKA, CENABD, ZNESEK, POPUST, DAV_STOPNJA, STORITEV, ID_OBRACUN) 
SELECT {?COMPUTER}, '02RGOSDOB', SALDKONT.DATUM, SALDKONT.N_RACUNA, SALDKONT.VRSTA_RACUNA, '', KUPCI.PRIIMEK, 
KUPCI.MESTO, KUPCI.DAVCNA_STEVILKA, KUPCI.DAVCNI_ZAVEZANEC, RACUN_DATA.ZN_DAVKA, RACUN_DATA.CENABD, 
RACUN_DATA.ZNESEK, RACUN_DATA.POPUST, RACUN_DATA.DAV_STOPNJA, M_STORITVE.STORITEV, RACUN_DATA.ID_OBRACUN
FROM
    SALDKONT SALDKONT,
    KUPCI KUPCI,
    RACUN_DATA RACUN_DATA,
    M_STORITVE M_STORITVE
WHERE
    SALDKONT.DATUM>={?DATUMOD} AND SALDKONT.DATUM<={?DATUMDO} AND
    SALDKONT.ID_KUPCA = KUPCI.ID AND
    SALDKONT.ID_SALDKONT = RACUN_DATA.ID_SALDKONT AND
    RACUN_DATA.ID_STORITVE = M_STORITVE.ID_STORITVE(+) AND
    (SALDKONT.VRSTA_RACUNA = 'DOG') AND KUPCI.NDRZAVA IN 
    ('040','056','196','200','208','213','246','250','300','372','380','408','439','442','348','470','280','528','616','620','997','005','724','752','826');