delete from PTEMELJ where computer={?COMPUTER}; 



-- konto - zneski



insert into PTEMELJ (COMPUTER, KONTO1, BREME, DOBRO, STM, PROCENT_STM, PREDZNAK, GRUPA, RACUN, VRSTA_ZNESKA) 

select {?COMPUTER}, d.KONTO_SIT, 0, b.CENABD, f.PC, f.PROCENT, 1, d.OPIS, a.N_RACUNA, 'Z' from 

Saldkont a, racun_data b, m_storitve c, temgru d, nvezasg e, storpc f , kupci k

where a.datum>={?DATUMOD} and a.datum<={?DATUMDO} and

a.id_kupca=k.id  and

a.id_saldkont=b.id_saldkont and

b.id_storitve=c.id_storitve and

c.storitev=e.sif_stor and

e.sif_grupe=d.sifra and 

c.storitev=f.storitev and

(k.domaci_tuji='D' or k.domaci_tuji='' or k.domaci_tuji is null) ;



insert into PTEMELJ (COMPUTER, KONTO1, BREME, DOBRO, STM, PROCENT_STM, PREDZNAK, GRUPA, RACUN,VRSTA_ZNESKA) 

select {?COMPUTER}, d.KONTO_DEM, 0, b.CENABD, f.PC, f.PROCENT, 1, d.OPIS, a.N_RACUNA, 'Z' from 

Saldkont a, racun_data b, m_storitve c, temgru d, nvezasg e, storpc f , kupci k 

where a.datum>={?DATUMOD} and a.datum<={?DATUMDO} and

a.id_kupca=k.id  and

a.id_saldkont=b.id_saldkont and

b.id_storitve=c.id_storitve and

c.storitev=e.sif_stor and

e.sif_grupe=d.sifra and 

c.storitev=f.storitev and

k.domaci_tuji='T';



-- protikonto zneski



insert into PTEMELJ (COMPUTER, KONTO1, BREME, DOBRO, STM, PROCENT_STM, PREDZNAK, GRUPA, RACUN,VRSTA_ZNESKA) 

select {?COMPUTER}, d.PKONTO, b.CENABD, 0, '' , 100 , 1, d.OPIS, a.N_RACUNA, 'Z' from 

Saldkont a, racun_data b, m_storitve c, temgru d, nvezasg e

where a.datum>={?DATUMOD} and a.datum<={?DATUMDO} and

a.id_saldkont=b.id_saldkont and

b.id_storitve=c.id_storitve and

c.storitev=e.sif_stor and

e.sif_grupe=d.sifra; 





-- konto popusti



insert into PTEMELJ (COMPUTER, KONTO1, BREME, DOBRO, STM, PROCENT_STM, PREDZNAK, GRUPA, RACUN,VRSTA_ZNESKA) 

select {?COMPUTER}, d.PPKONTO_SIT, 0, b.CENABD*b.POPUST/100, f.PC, f.PROCENT, (-1), d.OPIS, a.N_RACUNA, 'P' from 

Saldkont a, racun_data b, m_storitve c, temgru d, nvezasg e, storpc f , kupci k

where a.datum>={?DATUMOD} and a.datum<={?DATUMDO} and

a.id_kupca=k.id  and

a.id_saldkont=b.id_saldkont and

b.id_storitve=c.id_storitve and

c.storitev=e.sif_stor and

e.sif_grupe=d.sifra and 

c.storitev=f.storitev and

(k.domaci_tuji='D' or k.domaci_tuji='' or k.domaci_tuji is null);



insert into PTEMELJ (COMPUTER, KONTO1, BREME, DOBRO, STM, PROCENT_STM, PREDZNAK, GRUPA, RACUN,VRSTA_ZNESKA) 

select {?COMPUTER}, d.PPKONTO_DEM, 0, b.CENABD*b.POPUST/100, f.PC, f.PROCENT, (-1), d.OPIS, a.N_RACUNA, 'P' from 

Saldkont a, racun_data b, m_storitve c, temgru d, nvezasg e, storpc f , kupci k

where a.datum>={?DATUMOD} and a.datum<={?DATUMDO} and

a.id_kupca=k.id  and

a.id_saldkont=b.id_saldkont and

b.id_storitve=c.id_storitve and

c.storitev=e.sif_stor and

e.sif_grupe=d.sifra and 

c.storitev=f.storitev and

k.domaci_tuji='T';



-- protikonto popusti



insert into PTEMELJ (COMPUTER, KONTO1, BREME, DOBRO, STM, PROCENT_STM, PREDZNAK, GRUPA, RACUN,VRSTA_ZNESKA) 

select {?COMPUTER}, d.PPPKONTO, 0, b.CENABD*b.POPUST/100, '' , 100 , 1, d.OPIS, a.N_RACUNA, 'P' from 

Saldkont a, racun_data b, m_storitve c, temgru d, nvezasg e

where a.datum>={?DATUMOD} and a.datum<={?DATUMDO} and

a.id_saldkont=b.id_saldkont and

b.id_storitve=c.id_storitve and

c.storitev=e.sif_stor and

e.sif_grupe=d.sifra; 



-- konto davki



insert into PTEMELJ (COMPUTER, KONTO1, BREME, DOBRO, STM, PROCENT_STM, PREDZNAK, KUPEC, PROCENT_DAVKA, GRUPA, RACUN,VRSTA_ZNESKA) 

select {?COMPUTER}, d.DKONTO_SIT, 0, b.ZN_DAVKA, '', 100, 1, a.id_kupca, b.DAV_STOPNJA, d.OPIS, a.N_RACUNA, 'D' from 

Saldkont a, racun_data b, m_storitve c, temgru d, nvezasg e, kupci k 

where a.datum>={?DATUMOD} and a.datum<={?DATUMDO} and

a.id_kupca=k.id  and

a.id_saldkont=b.id_saldkont and

b.id_storitve=c.id_storitve and

c.storitev=e.sif_stor and

e.sif_grupe=d.sifra and 

(k.domaci_tuji='D' or k.domaci_tuji='' or k.domaci_tuji is null);



insert into PTEMELJ (COMPUTER, KONTO1, BREME, DOBRO, STM, PROCENT_STM, PREDZNAK, KUPEC, PROCENT_DAVKA, GRUPA, RACUN,VRSTA_ZNESKA) 

select {?COMPUTER}, d.DKONTO_DEM, 0, b.ZN_DAVKA, '', 100, 1, a.id_kupca, b.DAV_STOPNJA, d.OPIS, a.N_RACUNA, 'D'  from 

Saldkont a, racun_data b, m_storitve c, temgru d, nvezasg e, kupci k

where a.datum>={?DATUMOD} and a.datum<={?DATUMDO} and

a.id_kupca=k.id  and

a.id_saldkont=b.id_saldkont and

b.id_storitve=c.id_storitve and

c.storitev=e.sif_stor and

e.sif_grupe=d.sifra and 

k.domaci_tuji='T';



-- protikonto davki



insert into PTEMELJ (COMPUTER, KONTO1, BREME, DOBRO, STM, PROCENT_STM, PREDZNAK, GRUPA, RACUN,VRSTA_ZNESKA) 

select {?COMPUTER}, d.DPKONTO, b.ZN_DAVKA, 0, '' , 100 , 1, d.OPIS, a.N_RACUNA, 'D' from 

Saldkont a, racun_data b, m_storitve c, temgru d, nvezasg e

where a.datum>={?DATUMOD} and a.datum<={?DATUMDO} and

a.id_saldkont=b.id_saldkont and

b.id_storitve=c.id_storitve and

c.storitev=e.sif_stor and

e.sif_grupe=d.sifra; 



--MATERIAL



-- konto - zneski



insert into PTEMELJ (COMPUTER, KONTO1, BREME, DOBRO, STM, PROCENT_STM, PREDZNAK, GRUPA, RACUN, VRSTA_ZNESKA) 

select {?COMPUTER}, d.KONTO_SIT, 0, b.CENABD, f.PC, f.PROCENT, 1, d.OPIS, a.N_RACUNA, 'Z' from 

Saldkont a, racun_data b, s_obracun c, temgru d, nvezasg e, storpc f , kupci k

where a.datum>={?DATUMOD} and a.datum<={?DATUMDO} and

a.id_kupca=k.id  and

a.id_saldkont=b.id_saldkont and

b.id_obracun=c.id_obracun and

e.sif_stor='0MAT' and

e.sif_grupe=d.sifra and 

f.storitev='0MAT' and

(k.domaci_tuji='D' or k.domaci_tuji='' or k.domaci_tuji is null);



insert into PTEMELJ (COMPUTER, KONTO1, BREME, DOBRO, STM, PROCENT_STM, PREDZNAK, GRUPA, RACUN,VRSTA_ZNESKA) 

select {?COMPUTER}, d.KONTO_DEM, 0, b.CENABD, f.PC, f.PROCENT, 1, d.OPIS, a.N_RACUNA, 'Z' from 

Saldkont a, racun_data b, s_obracun c, temgru d, nvezasg e, storpc f , kupci k

where a.datum>={?DATUMOD} and a.datum<={?DATUMDO} and

a.id_kupca=k.id  and

a.id_saldkont=b.id_saldkont and

b.id_obracun=c.id_obracun and

e.sif_stor='0MAT' and

e.sif_grupe=d.sifra and 

f.storitev='0MAT' and

k.domaci_tuji='T';



-- protikonto zneski



insert into PTEMELJ (COMPUTER, KONTO1, BREME, DOBRO, STM, PROCENT_STM, PREDZNAK, GRUPA, RACUN,VRSTA_ZNESKA) 

select {?COMPUTER}, d.PKONTO, b.CENABD, 0, '' , 100 , 1, d.OPIS, a.N_RACUNA, 'Z' from 

Saldkont a, racun_data b, s_obracun c, temgru d, nvezasg e

where a.datum>={?DATUMOD} and a.datum<={?DATUMDO} and

a.id_saldkont=b.id_saldkont and

b.id_obracun=c.id_obracun and

e.sif_stor='0MAT' and

e.sif_grupe=d.sifra;





-- konto popusti



insert into PTEMELJ (COMPUTER, KONTO1, BREME, DOBRO, STM, PROCENT_STM, PREDZNAK, GRUPA, RACUN,VRSTA_ZNESKA) 

select {?COMPUTER}, d.PPKONTO_SIT, 0, b.CENABD*b.POPUST/100, f.PC, f.PROCENT, (-1), d.OPIS, a.N_RACUNA, 'P' from 

Saldkont a, racun_data b, s_obracun c, temgru d, nvezasg e, storpc f , kupci k

where a.datum>={?DATUMOD} and a.datum<={?DATUMDO} and

a.id_kupca=k.id  and

a.id_saldkont=b.id_saldkont and

b.id_obracun=c.id_obracun and

e.sif_stor='0MAT' and

e.sif_grupe=d.sifra and 

f.storitev='0MAT' and

(k.domaci_tuji='D' or k.domaci_tuji='' or k.domaci_tuji is null);



insert into PTEMELJ (COMPUTER, KONTO1, BREME, DOBRO, STM, PROCENT_STM, PREDZNAK, GRUPA, RACUN,VRSTA_ZNESKA) 

select {?COMPUTER}, d.PPKONTO_DEM, 0, b.CENABD*b.POPUST/100, f.PC, f.PROCENT, (-1), d.OPIS, a.N_RACUNA, 'P' from 

Saldkont a, racun_data b, s_obracun c, temgru d, nvezasg e, storpc f , kupci k

where a.datum>={?DATUMOD} and a.datum<={?DATUMDO} and

a.id_kupca=k.id  and

a.id_saldkont=b.id_saldkont and

b.id_obracun=c.id_obracun and

e.sif_stor='0MAT' and

e.sif_grupe=d.sifra and 

f.storitev='0MAT' and

k.domaci_tuji='T';



-- protikonto popusti



insert into PTEMELJ (COMPUTER, KONTO1, BREME, DOBRO, STM, PROCENT_STM, PREDZNAK, GRUPA, RACUN,VRSTA_ZNESKA) 

select {?COMPUTER}, d.PPPKONTO, 0, b.CENABD*b.POPUST/100, '' , 100 , 1, d.OPIS, a.N_RACUNA, 'P' from 

Saldkont a, racun_data b, s_obracun c, temgru d, nvezasg e

where a.datum>={?DATUMOD} and a.datum<={?DATUMDO} and

a.id_saldkont=b.id_saldkont and

b.id_obracun=c.id_obracun and

e.sif_stor='0MAT' and

e.sif_grupe=d.sifra; 



-- konto davki



insert into PTEMELJ (COMPUTER, KONTO1, BREME, DOBRO, STM, PROCENT_STM, PREDZNAK, KUPEC, PROCENT_DAVKA, GRUPA, RACUN,VRSTA_ZNESKA) 

select {?COMPUTER}, d.DKONTO_SIT, 0, b.ZN_DAVKA, '', 100, 1, a.id_kupca, b.DAV_STOPNJA, d.OPIS, a.N_RACUNA, 'D' from 

Saldkont a, racun_data b, s_obracun c, temgru d, nvezasg e , kupci k

where a.datum>={?DATUMOD} and a.datum<={?DATUMDO} and

a.id_kupca=k.id  and

a.id_saldkont=b.id_saldkont and

b.id_obracun=c.id_obracun and

e.sif_stor='0MAT' and

e.sif_grupe=d.sifra and 

(k.domaci_tuji='D' or k.domaci_tuji='' or k.domaci_tuji is null);



insert into PTEMELJ (COMPUTER, KONTO1, BREME, DOBRO, STM, PROCENT_STM, PREDZNAK, KUPEC, PROCENT_DAVKA, GRUPA, RACUN,VRSTA_ZNESKA) 

select {?COMPUTER}, d.DKONTO_DEM, 0, b.ZN_DAVKA, '', 100, 1, a.id_kupca, b.DAV_STOPNJA, d.OPIS, a.N_RACUNA, 'D'  from 

Saldkont a, racun_data b, s_obracun c, temgru d, nvezasg e, kupci k

where a.datum>={?DATUMOD} and a.datum<={?DATUMDO} and

a.id_kupca=k.id  and

a.id_saldkont=b.id_saldkont and

b.id_obracun=c.id_obracun and

e.sif_stor='0MAT' and

e.sif_grupe=d.sifra and 

k.domaci_tuji='T';



-- protikonto davki



insert into PTEMELJ (COMPUTER, KONTO1, BREME, DOBRO, STM, PROCENT_STM, PREDZNAK, GRUPA, RACUN,VRSTA_ZNESKA) 

select {?COMPUTER}, d.DPKONTO, b.ZN_DAVKA, 0, '' , 100 , 1, d.OPIS, a.N_RACUNA, 'D' from 

Saldkont a, racun_data b, s_obracun c, temgru d, nvezasg e

where a.datum>={?DATUMOD} and a.datum<={?DATUMDO} and

a.id_saldkont=b.id_saldkont and

b.id_obracun=c.id_obracun and

e.sif_stor='0MAT' and

e.sif_grupe=d.sifra; 





COMMIT;